Gocator API

- Home
- Categories
- Types
- Files

All Classes Files Functions Variables Typedefs Macros Groups Pages
Public Member Functions
GoProfileIntensityMsg Class Reference
Data Channel

## Description

Represents a data message containing a set of profile intensity arrays.

Inheritance diagram for GoProfileIntensityMsg:

## Public Member Functions
GoDataMessageType | GoDataMsg_Type (GoDataMsg message)
| Returns the message type for a data channel message given in a GoDataSet. More...
k8u * | GoProfileIntensityMsg_At (GoProfileIntensityMsg msg, kSize index)
| Gets a pointer to a profile intensity array. More...
kSize | GoProfileIntensityMsg_Count (GoProfileIntensityMsg msg)
| Gets the count of profile intensity arrays in this message. More...
k32u | GoProfileIntensityMsg_Exposure (GoProfileIntensityMsg msg)
| Gets the exposure. More...
kBool | GoProfileIntensityMsg_IsResampled (GoProfileIntensityMsg msg)
| Gets the associated profile type (points or ranges). More...
GoDataSource | GoProfileIntensityMsg_Source (GoProfileIntensityMsg msg)
| Gets the profile source. More...
kSize | GoProfileIntensityMsg_Width (GoProfileIntensityMsg msg)
| Gets the count of intensity values in each profile intensity array. More...
k32s | GoProfileIntensityMsg_XOffset (GoProfileIntensityMsg msg)
| Gets the profile x-offset, in micrometers. More...
k32u | GoProfileIntensityMsg_XResolution (GoProfileIntensityMsg msg)
| Gets the x-resolution, in nanometers. More...

## Member Function Documentation

GoDataMessageType GoDataMsg_Type | ( | GoDataMsg | message | ) |
| inherited

Returns the message type for a data channel message given in a GoDataSet.

Parameters

  message | A data channel message.

Returns
  A GoDataMessageType value.

k8u * GoProfileIntensityMsg_At | ( | GoProfileIntensityMsg | msg,
|  | kSize | index
| ) |  |

Gets a pointer to a profile intensity array.

Parameters

  msg | Message object.
  index | Profile intensity array index.

Returns
  Data pointer.

kSize GoProfileIntensityMsg_Count | ( | GoProfileIntensityMsg | msg | ) |

Gets the count of profile intensity arrays in this message.

Parameters

  msg | Message object.

Returns
  Count of profile arrays.

k32u GoProfileIntensityMsg_Exposure | ( | GoProfileIntensityMsg | msg | ) |

Gets the exposure.

Parameters

  msg | Message object.

Returns
  Exposure in uS.

kBool GoProfileIntensityMsg_IsResampled | ( | GoProfileIntensityMsg | msg | ) |

Gets the associated profile type (points or ranges).

Parameters

  msg | Message object.

Returns
  kTRUE for ranges; kFALSE for points.

GoDataSource GoProfileIntensityMsg_Source | ( | GoProfileIntensityMsg | msg | ) |

Gets the profile source.

Parameters

  msg | Message object.

Returns
  Profile source.

kSize GoProfileIntensityMsg_Width | ( | GoProfileIntensityMsg | msg | ) |

Gets the count of intensity values in each profile intensity array.

Parameters

  msg | Message object.

Returns
  Intensity count.

k32s GoProfileIntensityMsg_XOffset | ( | GoProfileIntensityMsg | msg | ) |

Gets the profile x-offset, in micrometers.

Parameters

  msg | Message object.

Returns
  X offset (um).

k32u GoProfileIntensityMsg_XResolution | ( | GoProfileIntensityMsg | msg | ) |

Gets the x-resolution, in nanometers.

Parameters

  msg | Message object.

Returns
  X resolution (nm).

The documentation for this class was generated from the following file:

- Messages/GoDataTypes.h